Bug 157577 - GUI columns are duplicated
Summary: GUI columns are duplicated
Status: RESOLVED FIXED
Alias: None
Product: kdf
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Michael Kropfberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-10 08:10 UTC by Oleg Atamanenko
Modified: 2008-06-20 18:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
KDF Screenshot with incorrect GUI. (53.57 KB, image/png)
2008-02-10 08:11 UTC, Oleg Atamanenko
Details
Patch to fix duplicated columns (463 bytes, patch)
2008-06-13 16:06 UTC, Christoph Feck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Atamanenko 2008-02-10 08:10:42 UTC
Version:           v0.5 (using 4.0.1 (KDE 4.0.1), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.23-1-686

KDF shows all columns several times. It shows me
icon, device, type, size, mount point, free, full, usage  4 times!

Screenshot attached.
Comment 1 Oleg Atamanenko 2008-02-10 08:11:38 UTC
Created attachment 23512 [details]
KDF Screenshot with incorrect GUI.
Comment 2 Christoph Feck 2008-06-13 15:37:45 UTC
makeColumns() is called multiple times, so this function should remove any columns before adding new ones.  A simple

for (int i = 0; i < mList->columns(); ++i) mList->removeColumn(i);

before adding the columns should help (similar code is in the comment, I do not understand why it was removed).
Comment 3 Christoph Feck 2008-06-13 16:06:09 UTC
Created attachment 25307 [details]
Patch to fix duplicated columns
Comment 4 Albert Astals Cid 2008-06-20 18:44:09 UTC
SVN commit 822558 by aacid:

Fix GUI columns are duplicated

Patch by Christoph Feck

BUG: 157577


 M  +2 -0      kdfwidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=822558